Bug Hunting Session
Bug 76446 - FILEOPEN: DOCX: incorrect rotation of VML shapes
Summary: FILEOPEN: DOCX: incorrect rotation of VML shapes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other All
: medium normal
Assignee: Grzegorz Araminowicz
URL:
Whiteboard: target:5.5.0
Keywords: filter:docx
Depends on:
Blocks: OOXML-Shapes
  Show dependency treegraph
 
Reported: 2014-03-21 11:51 UTC by Jacobo Aragunde Pérez
Modified: 2017-07-27 01:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Test case (9.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-03-21 11:51 UTC, Jacobo Aragunde Pérez
Details
Side-by-side comparison (138.34 KB, image/png)
2014-03-21 11:52 UTC, Jacobo Aragunde Pérez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacobo Aragunde Pérez 2014-03-21 11:51:00 UTC
Created attachment 96156 [details]
Test case

Compare the look of the attached file opening it with Word and with LibreOffice; the rotation value is different.
Comment 1 Jacobo Aragunde Pérez 2014-03-21 11:52:27 UTC
Created attachment 96157 [details]
Side-by-side comparison
Comment 2 Jacobo Aragunde Pérez 2014-03-21 13:32:34 UTC
I opened the document with Word 2007 (which uses VML for the shapes) and the UI says the shape rotation value is 329. The rotation value inside the document is: rotation:-2050306fd

I did some changes to the document and saved it again. The newly generated document says: rotation:329

The "fd" modifier is the key but I don't know what it means and I find no examples nor references in the VML definition. 2.050306 radians are 117.47 degrees, which is a "similar" angle...

I think I generated this document with Office 2007, which usually saves the rotation in degrees, so this is a bit weird :P
Comment 3 Jacobo Aragunde Pérez 2014-04-04 17:50:22 UTC
(In reply to comment #2)
> I think I generated this document with Office 2007, which usually saves the
> rotation in degrees, so this is a bit weird :P

Now I know how it happened: I opened a Word 2010 document (like attachment #96913 [details]) with Word 2007 and saved it with a different name. It stored the DML shape as VML but with that weird angle format.

If you edit the angle of the shape and save again, it will be saved in degrees.
Comment 4 Jorendc 2015-05-16 09:16:37 UTC
Still reproducible, tested using Linux Mint x64 with LibreOffice Version: 5.0.0.0.alpha1+
Build ID: f3070563c3071e05e9c448e261fec1e397bffb48
Locale: nl-BE (nl_BE.UTF-8)

Kind regards,
Joren
Comment 5 QA Administrators 2016-09-20 09:42:46 UTC Comment hidden (obsolete)
Comment 6 Jacobo Aragunde Pérez 2016-10-19 11:07:05 UTC
Still reproducible as originally reported.

Version: 5.1.6.1.0+
Build ID: 5.1.6.1-1.fc24
CPU Threads: 4; OS Version: Linux 4.7; UI Render: default; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 7 Telesto 2016-12-07 10:22:30 UTC
Still reproducible with
Version: 5.4.0.0.alpha0+
Build ID: 2bad9f1cd8da0cd3d8ff33e875eaf10c1fd9d0bf
CPU Threads: 4; OS Version: Mac OS X 10.12.1; UI Render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2016-11-29_01:04:44
Locale: nl-NL (nl_NL.UTF-8); Calc: group
Comment 8 Commit Notification 2017-05-31 13:31:17 UTC
Grzegorz Araminowicz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=087537dc45bbab3db41fe6d92974cdfde59904cb

tdf#76446 GSoC: incorrect rotation of VML shapes

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 vihsa 2017-07-27 01:56:07 UTC
verified

Version: 6.0.0.0.alpha0+
Build ID: 1e87e93
android 5.1
lyf flame 3 [ ls-4001 ]